MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023712Open CASCADE[OCCT] OCCT:Visualizationpublic2013-01-18 12:352013-04-29 15:23
Reporterdbv 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023712: Remove the dependency on the Aspect_GraphicDevice from Aspect_Window
DescriptionDependency on the Aspect_GraphicDevice should be eliminated from Aspect_Window.
Same should be done for derived classes (WNT_Window, Xw_Window, Cocoa_Window).
It is also necessary to combine the functionality of Graphic3d_GraphicDevice and Graphic3d_WNTGraphicDevice classes into the one new class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023663closedaba Open CASCADE Removing 2D viewer library 
related to 0023243closedbugmaster Open CASCADE Adapt OpenGL viewer for using in Cocoa applications on Mac OS X 
related to 0023209closeddbv Community Potentially unmatched XOpenDisplay() and XCloseDisplay() calls in some OCCT packages 
related to 0023810closeddbv Open CASCADE Cyclic dependency detected between the several OCCT units 
related to 0023814closedbugmaster Open CASCADE Drop plugin interface for Graphic3d_GraphicDriver instantiation 

-  Notes
(0023255)
dbv (developer)
2013-02-04 17:01

Dear Kirill,

Fix has been pushed to the git branch CR23712_1, please review.
(0023266)
kgv (developer)
2013-02-05 16:23

Patch was reviewed without remarks. Ready for testing.
(0023271)
mkv (tester)
2013-02-06 19:42

Dear dbv,
could you please rebase CR23712_1 branch with current master, there are conflicts files.
(0023273)
dbv (developer)
2013-02-07 11:23

Dear mkv,

Branch has been rebased on master and pushed to the git branch CR23712_2. Please test.
(0023284)
mkv (tester)
2013-02-08 10:44

Dear dbv,

could you please check QAdraw.cxx, there are compilation errors:

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR23712_2/job/mnt-CR23712_2-master_build_occt_linux/1/consoleText [^]

../../../src/QADraw/QADraw.cxx:38:39: error: Graphic3d_GraphicDevice.hxx: No such file or directory
../../../src/QADraw/QADraw.cxx:37: error: expected unqualified-id before '<<' token
../../../src/QADraw/QADraw.cxx:40: error: expected unqualified-id before '==' token
(0023285)
dbv (developer)
2013-02-08 10:49

Dear mkv,

Problem has been fixed, please test.
(0023310)
mkv (tester)
2013-02-12 16:11

Dear BugMaster,

Branch CR23712_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 0508e15aee48ab0d3e5f2b539fec39a593485c64

Number of compiler warnings:

occt component :
Linux: 0 (3 on master)
Windows: 0(39 on master)

products component :
Linux: 0 (9 on master)
Windows: 0 (50 on master)

Regressions:
http://occt-tests/CR23712-2-master-occt/Mandriva2010/summary.html [^]
bugs vis(004) buc60851 - InitViewerTest
bugs vis(004) bug85_1 bug85_2 - AISInitViewer
bugs vis(004) bug16950_3 bug16950_4 bug23123 bug23407_1 - XShow
bugs xde(005) bug6307 bug21046 bug22982 - XShow
bugs xde(005) bug22776 - AISInitViewer
bugs caf(009) buc60917 bug73_1 bug73_2 bug73_3 bug1029 bug1030 bug1031 bug1032 bug1033 bug1034 - AISInitViewer
caf presentation(003) A1 A2 A3 A4 B1 B2 B3 B4 C1 D1 D2 D3 D4 E1 F1 F2 F3 F4 G1 H1 H2 I1 I2 J1 J2 K1 K2 L1 L2 - AISInitViewer
caf bugs(006) B6 - AISInitViewer

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 220715840 / 221102340
Total CPU difference: 9362.520000000139 / 9662.869999999913

Testing on Windows:
Total MEMORY difference: 341085420 / 339553480
Total CPU difference: 12481.546875 / 12655.15625

There are not serious differences in images found by testdiff.
(0023312)
dbv (developer)
2013-02-12 19:12

Regression has been fixed.

Dear Kirill, please review git branch CR23712_2
(0023313)
abv (manager)
2013-02-12 20:34

Please double check if number of warnings became zero really
(0023334)
mkv (tester)
2013-02-14 14:00
edited on: 2013-02-14 14:22

Dear BugMaster,

Branch CR23712_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c5e1e7bc136c281cc5101dd463628899e3ddb74c

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 221863524 / 222256576
Total CPU difference: 8895.47000000004 / 9663.489999999912

Testing on Windows:
Total MEMORY difference: 316500448 / 315216792
Total CPU difference: 12990.515625 / 11845.59375

There are not serious differences in images found by testdiff.


- Related Changesets
occt: master dc3fe572
Timestamp: 2013-02-18 07:59:36
Author: dbv
Details ] Diff ]
0023712: Remove dependency on Aspect_GraphicDevice from Aspect_Window
mod - samples/CSharp/OCC/OCCViewer.cpp Diff ] File ]
mod - samples/CSharp/OCC/OCCViewer.h Diff ] File ]
mod - samples/CSharp/OCC/stdafx.h Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dApp.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Image.h Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/Graphic3dDemo/env.bat Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/IESample/make.sh Diff ] File ]
mod - samples/qt/IESample/run.sh Diff ] File ]
mod - samples/qt/Tutorial/make.sh Diff ] File ]
mod - samples/qt/Tutorial/run.sh Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]
mod - samples/qt/VoxelDemo/src/Viewer.cpp Diff ] File ]
mod - samples/qt/VoxelDemo/src/VoxelClient_VisDrawer.cxx Diff ] File ]
mod - src/Aspect/Aspect.cdl Diff ] File ]
add - src/Aspect/Aspect_DisplayConnection.cxx Diff ] File ]
add - src/Aspect/Aspect_DisplayConnection.hxx Diff ] File ]
rm - src/Aspect/Aspect_GraphicDevice.cdl Diff ] File ]
mod - src/Aspect/Aspect_Window.cdl Diff ] File ]
mod - src/Aspect/Aspect_Window.cxx Diff ] File ]
rm - src/Aspect/Aspect_Window.lxx Diff ] File ]
add - src/Aspect/EXTERNLIB Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
add - src/Graphic3d/Graphic3d.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDevice.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_GraphicDevice.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_WNTGraphicDevice.cdl Diff ] File ]
rm - src/Graphic3d/Graphic3d_WNTGraphicDevice.cxx Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_1.cxx Diff ] File ]
mod - src/QADraw/QADraw.cxx Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cdl Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/Viewer/Viewer.cdl Diff ] File ]
mod - src/Viewer/Viewer_Viewer.cdl Diff ] File ]
mod - src/Viewer/Viewer_Viewer.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_Tool.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_Layer.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
mod - src/WNT/WNT.cdl Diff ] File ]
rm - src/WNT/WNT_GraphicDevice.cdl Diff ] File ]
rm - src/WNT/WNT_GraphicDevice.cxx Diff ] File ]
rm - src/WNT/WNT_GraphicDevice.lxx Diff ] File ]
rm - src/WNT/WNT_Icon.cdl Diff ] File ]
rm - src/WNT/WNT_Icon.cxx Diff ] File ]
rm - src/WNT/WNT_IconBox.cdl Diff ] File ]
rm - src/WNT/WNT_IconBox.cxx Diff ] File ]
rm - src/WNT/WNT_IconBox_1.cxx Diff ] File ]
mod - src/WNT/WNT_Image.cdl Diff ] File ]
rm - src/WNT/WNT_ImageManager.cdl Diff ] File ]
rm - src/WNT/WNT_ImageManager.cxx Diff ] File ]
rm - src/WNT/WNT_ImageProcessor.cxx Diff ] File ]
mod - src/WNT/WNT_WClass.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cdl Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.lxx Diff ] File ]
rm - src/WNT/WNT_WndProc.cxx Diff ] File ]
mod - src/Xw/Xw.cdl Diff ] File ]
mod - src/Xw/Xw_ColorMap.cdl Diff ] File ]
mod - src/Xw/Xw_ColorMap.cxx Diff ] File ]
mod - src/Xw/Xw_FontMap.cdl Diff ] File ]
rm - src/Xw/Xw_GraphicDevice.cdl Diff ] File ]
rm - src/Xw/Xw_GraphicDevice.cxx Diff ] File ]
rm - src/Xw/Xw_IconBox.cdl Diff ] File ]
rm - src/Xw/Xw_IconBox.cxx Diff ] File ]
mod - src/Xw/Xw_MarkMap.cdl Diff ] File ]
mod - src/Xw/Xw_MarkMap.cxx Diff ] File ]
mod - src/Xw/Xw_TypeMap.cdl Diff ] File ]
mod - src/Xw/Xw_TypeMap.cxx Diff ] File ]
mod - src/Xw/Xw_WidthMap.cdl Diff ] File ]
mod - src/Xw/Xw_WidthMap.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cdl Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-18 12:35 dbv New Issue
2013-01-18 12:35 dbv Assigned To => dbv
2013-01-18 12:35 dbv Status new => assigned
2013-01-18 12:36 dbv Relationship added related to 0023663
2013-01-18 13:10 kgv Relationship added related to 0023243
2013-02-04 17:01 dbv Note Added: 0023255
2013-02-04 17:01 dbv Assigned To dbv => kgv
2013-02-04 17:01 dbv Status assigned => resolved
2013-02-05 16:23 kgv Note Added: 0023266
2013-02-05 16:23 kgv Assigned To kgv => bugmaster
2013-02-05 16:23 kgv Status resolved => reviewed
2013-02-06 10:06 bugmaster Assigned To bugmaster => mkv
2013-02-06 19:42 mkv Note Added: 0023271
2013-02-06 19:43 mkv Test case number => Not needed
2013-02-06 19:43 mkv Assigned To mkv => dbv
2013-02-06 19:43 mkv Status reviewed => assigned
2013-02-07 11:21 dbv Status assigned => resolved
2013-02-07 11:23 dbv Note Added: 0023273
2013-02-07 11:23 dbv Assigned To dbv => mkv
2013-02-07 11:23 dbv Status resolved => reviewed
2013-02-08 10:44 mkv Note Added: 0023284
2013-02-08 10:45 mkv Assigned To mkv => dbv
2013-02-08 10:45 mkv Status reviewed => assigned
2013-02-08 10:48 dbv Status assigned => resolved
2013-02-08 10:49 dbv Note Added: 0023285
2013-02-08 10:49 dbv Assigned To dbv => mkv
2013-02-08 10:49 dbv Status resolved => reviewed
2013-02-12 16:11 mkv Note Added: 0023310
2013-02-12 16:11 mkv Assigned To mkv => dbv
2013-02-12 16:11 mkv Status reviewed => assigned
2013-02-12 19:12 dbv Note Added: 0023312
2013-02-12 19:12 dbv Status assigned => resolved
2013-02-12 19:12 dbv Assigned To dbv => kgv
2013-02-12 20:14 abv Status resolved => reviewed
2013-02-12 20:14 abv Assigned To kgv => bugmaster
2013-02-12 20:34 abv Note Added: 0023313
2013-02-13 18:10 mkv Assigned To bugmaster => mkv
2013-02-14 14:00 mkv Note Added: 0023334
2013-02-14 14:01 mkv Assigned To mkv => bugmaster
2013-02-14 14:01 mkv Status reviewed => tested
2013-02-14 14:22 mkv Note Edited: 0023334 View Revisions
2013-02-15 10:50 dbv Relationship added related to 0023763
2013-02-18 17:06 dbv Changeset attached => occt master dc3fe572
2013-02-18 17:06 dbv Assigned To bugmaster => dbv
2013-02-18 17:06 dbv Status tested => verified
2013-02-18 17:06 dbv Resolution open => fixed
2013-02-19 12:03 kgv Relationship added related to 0023209
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-03-04 15:19 dbv Relationship added related to 0023810
2013-03-05 09:32 kgv Relationship added related to 0023814
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:23 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker